stdex Additional custom or not Standard C++ covered algorithms

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
stdex::base64_enc Class Reference

Base64 encoding session. More...

`#include <stdex/base64.hpp>`

Inheritance diagram for stdex::base64_enc:

## Public Member Functions
| base64_enc () noexcept
| Constructs blank encoding session.
template<class T , class TR , class AX >
void | encode (std::basic_string< T, TR, AX > &out, const void *data, size_t size, bool is_last=true)
| Encodes one block of information, and appends it to the output.
void | clear () noexcept
| Resets encoding session.
size_t | enc_size (size_t size) const noexcept
| Returns maximum encoded size.

## Protected Member Functions
template<class T , class TR , class AX >
void | encode (std::basic_string< T, TR, AX > &out)
| Encodes one complete internal buffer of data.
template<class T , class TR , class AX >
void | encode (std::basic_string< T, TR, AX > &out, size_t size)
| Encodes partial internal buffer of data.

## Protected Attributes
uint8_t | m_buf [3]
| Internal buffer.
size_t | m_num
| Number of bytes used in `m_buf`

## Detailed Description

Base64 encoding session.

## Member Function Documentation

## ◆ enc_size()

size_t stdex::base64_enc::enc_size | ( | size_t | size | ) | const
| inline noexcept

Returns maximum encoded size.

Parameters

  [in] | size | Number of bytes to encode

Returns
  Maximum number of bytes for the encoded data of `size` length

## ◆ encode()

template<class T , class TR , class AX >

void stdex::base64_enc::encode | ( | std::basic_string< T, TR, AX > & | out,
|  | const void * | data,
|  | size_t | size,
|  | bool | is_last = true )
| inline

Encodes one block of information, and appends it to the output.

Parameters

  [in,out] | out | Output
  [in] | data | Data to encode
  [in] | size | Length of `data` in bytes
  [in] | is_last | Is this the last block of data?

The documentation for this class was generated from the following file:

- include/stdex/base64.hpp